# Generated by Django 5.0.9 on 2024-11-18 23:14

import django.db.models.deletion
from django.db import migrations, models
from django_rq import get_queue

from core.choices import JobStatusChoices


def clear_queue(apps, schema_editor):
    BackupJob = apps.get_model('netbox_config_backup', 'BackupJob')
    jobs = BackupJob.objects.filter(status__in=JobStatusChoices.ENQUEUED_STATE_CHOICES)
    for job in jobs:
        job.status = JobStatusChoices.STATUS_FAILED
        job.clean()
        job.save()

    queue = get_queue('netbox_config_backup.jobs')
    queue.empty()


class Migration(migrations.Migration):

    dependencies = [
        ('netbox_config_backup', '0019_alter_backup_device'),
    ]

    operations = [
        migrations.RunPython(code=clear_queue)
    ]
